/******************************************************************************
*	USB PATLITE Tower Parameter Definition
*	Copyright (c) 2014, PATLITE Co.
*	
******************************************************************************/

/* Pattern of Lighting and Buzzer */
#define OFF_STATIC	0
#define ON_STATIC	1
#define PATT_MOVE1	2
#define PATT_MOVE2	3
#define PATT_MOVE3	4
#define PATT_MOVE4	5
#define PATT_KEEP	9

/* Color of LED Unit */
#define UPT_RED		10
#define UPT_YEL		11
#define UPT_GRN		12
#define UPT_BLU		13
#define UPT_CLR		14

/* Pitch of Buzzer */
#define BUZ_PITCH_OFF	20
#define BUZ_PITCH1		21
#define BUZ_PITCH2		22
#define BUZ_PITCH3		23
#define BUZ_PITCH4		24
#define BUZ_PITCH5		25
#define BUZ_PITCH6		26
#define BUZ_PITCH7		27
#define BUZ_PITCH8		28
#define BUZ_PITCH9		29
#define BUZ_PITCH10		30
#define BUZ_PITCH11		31
#define BUZ_PITCH12		32
#define BUZ_PITCH13		33
#define BUZ_PITCH_DFLT	59

/* ERROR Value */
#define ERR_NOEXIST			-1
#define ERR_LOCKED			-2
#define ERR_CONNECTION		-3
#define ERR_PARAM			-4
#define ERR_TRANSFAIL_EVNT	-5
#define ERR_TRANSFAIL_TMOUT	-6
#define ERR_TRANSFAIL_SEND	-7
#define ERR_DLL_LINK		-8

/* End */
